OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SUNX.ConstantData

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNXConstantData :: MonadIO m => m Bool
- gl_SUNX_constant_data :: Bool
- gl_TEXTURE_CONSTANT_DATA_SUNX :: GLenum
- gl_UNPACK_CONSTANT_DATA_SUNX :: GLenum
- glFinishTextureSUNX :: MonadIO m => m ()

# Extension Support

glGetSUNXConstantData :: MonadIO m => m Bool

Is the SUNX_constant_data extension supported?

gl_SUNX_constant_data :: Bool

Is the SUNX_constant_data extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNXConstantData` in those cases instead.

# Enums

gl_TEXTURE_CONSTANT_DATA_SUNX :: GLenum

gl_UNPACK_CONSTANT_DATA_SUNX :: GLenum

# Functions

glFinishTextureSUNX :: MonadIO m => m ()